package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.HbCityAirQualityIndex;
import com.lightinit.hsdatashow.entity.HbCityAirQualityIndexExample;
import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

import java.util.LinkedHashMap;
import java.util.List;

public interface HbCityAirQualityIndexMapper {
    long countByExample(HbCityAirQualityIndexExample example);

    int deleteByExample(HbCityAirQualityIndexExample example);

    int deleteByPrimaryKey(Long id);

    int insert(HbCityAirQualityIndex record);

    int insertSelective(HbCityAirQualityIndex record);

    List<HbCityAirQualityIndex> selectByExample(HbCityAirQualityIndexExample example);

    HbCityAirQualityIndex selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") HbCityAirQualityIndex record, @Param("example") HbCityAirQualityIndexExample example);

    int updateByExample(@Param("record") HbCityAirQualityIndex record, @Param("example") HbCityAirQualityIndexExample example);

    int updateByPrimaryKeySelective(HbCityAirQualityIndex record);

    int updateByPrimaryKey(HbCityAirQualityIndex record);

    List<String> getHBCityAirQualityIndexDate();

    List<LinkedHashMap<String,String>> getHBCityAirQualityIndex();

    List<ChartModel> getHbAreaAirFineCount();
}